;******************************************************************************
;* TMS320C6x C/C++ Codegen                                          PC v7.4.4 *
;* Date/Time created: Tue Aug 12 15:33:48 2014                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf --symdebug:dwarf_version=3 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 2                                   *
;*   Optimizing for    : Size                                                 *
;*                       Based on options: -o2, -ms3                          *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug                                          *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen PC v7.4.4 Copyright (c) 1996-2013 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("Z:\contractor_delivery_timer\contractor_delivery\common\6657_physical\lib_6657_physical\Debug")
	.global	dsp_6657_boot_sequence_memory
dsp_6657_boot_sequence_memory:	.usect	".dsp_6657_boot_sequence_memory_sect",53824,32
$C$DW$1	.dwtag  DW_TAG_variable, DW_AT_name("dsp_6657_boot_sequence_memory")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("dsp_6657_boot_sequence_memory")
	.dwattr $C$DW$1, DW_AT_location[DW_OP_addr dsp_6657_boot_sequence_memory]
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_decl_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x28)
	.dwattr $C$DW$1, DW_AT_decl_column(0x0a)
;	C:\ti\ccsv5\tools\compiler\c6000_7.4.4\bin\opt6x.exe C:\\Users\\ivgenik\\AppData\\Local\\Temp\\064562 C:\\Users\\ivgenik\\AppData\\Local\\Temp\\064564 
	.sect	".mbdr_dsp_boot_loader_routines_sect"
	.clink
	.global	mbdr_dsp_boot_loader_clean_boot_sequence_area

$C$DW$2	.dwtag  DW_TAG_subprogram, DW_AT_name("mbdr_dsp_boot_loader_clean_boot_sequence_area")
	.dwattr $C$DW$2, DW_AT_low_pc(mbdr_dsp_boot_loader_clean_boot_sequence_area)
	.dwattr $C$DW$2, DW_AT_high_pc(0x00)
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("mbdr_dsp_boot_loader_clean_boot_sequence_area")
	.dwattr $C$DW$2, DW_AT_external
	.dwattr $C$DW$2, DW_AT_TI_begin_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$2, DW_AT_TI_begin_line(0x37)
	.dwattr $C$DW$2, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$2, DW_AT_decl_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$2, DW_AT_decl_line(0x37)
	.dwattr $C$DW$2, DW_AT_decl_column(0x06)
	.dwattr $C$DW$2, DW_AT_TI_max_frame_size(0x00)
	.dwpsn	file "Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c",line 56,column 1,is_stmt,address mbdr_dsp_boot_loader_clean_boot_sequence_area,isa 0

	.dwfde $C$DW$CIE, mbdr_dsp_boot_loader_clean_boot_sequence_area

;******************************************************************************
;* FUNCTION NAME: mbdr_dsp_boot_loader_clean_boot_sequence_area               *
;*                                                                            *
;*   Regs Modified     : A3,A4,B0                                             *
;*   Regs Used         : A3,A4,B0,B3                                          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
mbdr_dsp_boot_loader_clean_boot_sequence_area:
;** --------------------------------------------------------------------------*
	.dwcfi	cfa_offset, 0
           ZERO    .L1     A3
	.dwpsn	file "Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c",line 60,column 11,is_stmt,isa 0
           MVK     .S2     0x3490,B0

           SUB     .L2     B0,4,B0
||         MVKL    .S1     dsp_6657_boot_sequence_memory,A4

           MVC     .S2     B0,ILC
||         MVKH    .S1     dsp_6657_boot_sequence_memory,A4

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c
;*      Loop source line                 : 60
;*      Loop opening brace source line   : 61
;*      Loop closing brace source line   : 61
;*      Known Minimum Trip Count         : 13456                    
;*      Known Maximum Trip Count         : 13456                    
;*      Known Max Trip Count Factor      : 13456
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1*       0     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 1  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
           SPLOOPD 1       ;2                ; (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
$C$DW$L$mbdr_dsp_boot_loader_clean_boot_sequence_area$3$B:
           STW     .D1T1   A3,*A4++          ; |61| (P) <0,0> 
           SPKERNEL 1,0
$C$DW$L$mbdr_dsp_boot_loader_clean_boot_sequence_area$3$E:
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
	.dwpsn	file "Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c",line 63,column 1,is_stmt,isa 0
	.dwcfi	cfa_offset, 0
$C$DW$3	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$3, DW_AT_low_pc(0x00)
	.dwattr $C$DW$3, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |63| 
           ; BRANCH OCCURS {B3}              ; |63| 

$C$DW$4	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$4, DW_AT_name("Z:\contractor_delivery_timer\contractor_delivery\common\6657_physical\lib_6657_physical\Debug\mbdr_dsp_sdc_boot_loader_application_copy_program.asm:$C$L2:1:1407846828")
	.dwattr $C$DW$4, DW_AT_TI_begin_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$4, DW_AT_TI_begin_line(0x3c)
	.dwattr $C$DW$4, DW_AT_TI_end_line(0x3d)
$C$DW$5	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$5, DW_AT_low_pc($C$DW$L$mbdr_dsp_boot_loader_clean_boot_sequence_area$3$B)
	.dwattr $C$DW$5, DW_AT_high_pc($C$DW$L$mbdr_dsp_boot_loader_clean_boot_sequence_area$3$E)
	.dwendtag $C$DW$4

	.dwattr $C$DW$2, DW_AT_TI_end_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$2, DW_AT_TI_end_line(0x3f)
	.dwattr $C$DW$2, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$2

	.sect	".mbdr_dsp_boot_loader_routines_sect"
	.clink
	.global	mbdr_dsp_boot_loader_application_copy_program

$C$DW$6	.dwtag  DW_TAG_subprogram, DW_AT_name("mbdr_dsp_boot_loader_application_copy_program")
	.dwattr $C$DW$6, DW_AT_low_pc(mbdr_dsp_boot_loader_application_copy_program)
	.dwattr $C$DW$6, DW_AT_high_pc(0x00)
	.dwattr $C$DW$6, DW_AT_TI_symbol_name("mbdr_dsp_boot_loader_application_copy_program")
	.dwattr $C$DW$6, DW_AT_external
	.dwattr $C$DW$6, DW_AT_TI_begin_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$6, DW_AT_TI_begin_line(0x2c)
	.dwattr $C$DW$6, DW_AT_TI_begin_column(0x06)
	.dwattr $C$DW$6, DW_AT_decl_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$6, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$6, DW_AT_decl_column(0x06)
	.dwattr $C$DW$6, DW_AT_TI_max_frame_size(0x08)
	.dwpsn	file "Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c",line 45,column 1,is_stmt,address mbdr_dsp_boot_loader_application_copy_program,isa 0

	.dwfde $C$DW$CIE, mbdr_dsp_boot_loader_application_copy_program

;******************************************************************************
;* FUNCTION NAME: mbdr_dsp_boot_loader_application_copy_program               *
;*                                                                            *
;*   Regs Modified     : A3,A4,B0,B3,SP                                       *
;*   Regs Used         : A3,A4,B0,B3,SP                                       *
;*   Local Frame Size  : 0 Args + 0 Auto + 4 Save = 4 byte                    *
;******************************************************************************

;******************************************************************************
;*                                                                            *
;* Using -g (debug) with optimization (-o2) may disable key optimizations!    *
;*                                                                            *
;******************************************************************************
mbdr_dsp_boot_loader_application_copy_program:
;** --------------------------------------------------------------------------*
	.dwcfi	cfa_offset, 0
           STW     .D2T2   B3,*SP--(8)       ; |45| 
	.dwcfi	cfa_offset, 8
	.dwcfi	save_reg_to_mem, 19, 0
	.dwpsn	file "Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c",line 48,column 2,is_stmt,isa 0
$C$DW$7	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$7, DW_AT_low_pc(0x00)
	.dwattr $C$DW$7, DW_AT_name("mbdr_dsp_boot_loader_clean_boot_sequence_area")
	.dwattr $C$DW$7, DW_AT_TI_call
           CALLP   .S2     mbdr_dsp_boot_loader_clean_boot_sequence_area,B3
$C$RL0:    ; CALL OCCURS {mbdr_dsp_boot_loader_clean_boot_sequence_area} {0}  ; |48| 
	.dwpsn	file "Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c",line 52,column 1,is_stmt,isa 0
           LDW     .D2T2   *++SP(8),B3       ; |52| 
           NOP             4
	.dwcfi	cfa_offset, 0
	.dwcfi	restore_reg, 19
	.dwcfi	cfa_offset, 0
$C$DW$8	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$8, DW_AT_low_pc(0x00)
	.dwattr $C$DW$8, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |52| 
           ; BRANCH OCCURS {B3}              ; |52| 
	.dwattr $C$DW$6, DW_AT_TI_end_file("Z:/contractor_delivery_timer/contractor_delivery/common/6657_physical/src/mbdr_dsp_sdc_boot_loader_application_copy_program.c")
	.dwattr $C$DW$6, DW_AT_TI_end_line(0x34)
	.dwattr $C$DW$6, DW_AT_TI_end_column(0x01)
	.dwendentry
	.dwendtag $C$DW$6


;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

$C$DW$T$20	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$20, DW_AT_byte_size(0x08)
$C$DW$9	.dwtag  DW_TAG_member
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$9, DW_AT_name("number")
	.dwattr $C$DW$9, DW_AT_TI_symbol_name("number")
	.dwattr $C$DW$9, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$9, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$9, DW_AT_decl_file("..\..\..\inc\mbdr_dsp_sw_version.h")
	.dwattr $C$DW$9, DW_AT_decl_line(0x1b)
	.dwattr $C$DW$9, DW_AT_decl_column(0x08)
$C$DW$10	.dwtag  DW_TAG_member
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$10, DW_AT_name("date")
	.dwattr $C$DW$10, DW_AT_TI_symbol_name("date")
	.dwattr $C$DW$10, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$10, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$10, DW_AT_decl_file("..\..\..\inc\mbdr_dsp_sw_version.h")
	.dwattr $C$DW$10, DW_AT_decl_line(0x1c)
	.dwattr $C$DW$10, DW_AT_decl_column(0x08)
	.dwendtag $C$DW$T$20

	.dwattr $C$DW$T$20, DW_AT_decl_file("..\..\..\inc\mbdr_dsp_sw_version.h")
	.dwattr $C$DW$T$20, DW_AT_decl_line(0x1a)
	.dwattr $C$DW$T$20, DW_AT_decl_column(0x01)
$C$DW$T$30	.dwtag  DW_TAG_typedef, DW_AT_name("mbdr_dsp_sw_version_t")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_decl_file("..\..\..\inc\mbdr_dsp_sw_version.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x1d)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x02)

$C$DW$T$27	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$27, DW_AT_byte_size(0x0c)
$C$DW$11	.dwtag  DW_TAG_member
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$11, DW_AT_name("mbdr_dsp_debug_signal_app_proc_p")
	.dwattr $C$DW$11, DW_AT_TI_symbol_name("mbdr_dsp_debug_signal_app_proc_p")
	.dwattr $C$DW$11, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$11, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$11, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$11, DW_AT_decl_line(0x1d)
	.dwattr $C$DW$11, DW_AT_decl_column(0x0b)
$C$DW$12	.dwtag  DW_TAG_member
	.dwattr $C$DW$12, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$12, DW_AT_name("mbdr_dsp_application_emif_init_proc_p")
	.dwattr $C$DW$12, DW_AT_TI_symbol_name("mbdr_dsp_application_emif_init_proc_p")
	.dwattr $C$DW$12, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$12, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$12, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$12, DW_AT_decl_line(0x1f)
	.dwattr $C$DW$12, DW_AT_decl_column(0x0b)
$C$DW$13	.dwtag  DW_TAG_member
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$13, DW_AT_name("mbdr_dsp_boot_loader_application_copy_program_proc_p")
	.dwattr $C$DW$13, DW_AT_TI_symbol_name("mbdr_dsp_boot_loader_application_copy_program_proc_p")
	.dwattr $C$DW$13, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$13, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$13, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$13, DW_AT_decl_line(0x20)
	.dwattr $C$DW$13, DW_AT_decl_column(0x0b)
	.dwendtag $C$DW$T$27

	.dwattr $C$DW$T$27, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x19)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x01)
$C$DW$T$28	.dwtag  DW_TAG_typedef, DW_AT_name("mbdr_dsp_boot_application_common_proc_p_t")
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$T$28, DW_AT_decl_line(0x22)
	.dwattr $C$DW$T$28, DW_AT_decl_column(0x02)

$C$DW$T$29	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$29, DW_AT_byte_size(0x10)
$C$DW$14	.dwtag  DW_TAG_member
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$14, DW_AT_name("c_int00_proc_p")
	.dwattr $C$DW$14, DW_AT_TI_symbol_name("c_int00_proc_p")
	.dwattr $C$DW$14, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$14, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$14, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$14, DW_AT_decl_line(0x27)
	.dwattr $C$DW$14, DW_AT_decl_column(0x0c)
$C$DW$15	.dwtag  DW_TAG_member
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$15, DW_AT_name("boot_application_common_proc_p")
	.dwattr $C$DW$15, DW_AT_TI_symbol_name("boot_application_common_proc_p")
	.dwattr $C$DW$15, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$15, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$15, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$15, DW_AT_decl_line(0x28)
	.dwattr $C$DW$15, DW_AT_decl_column(0x2d)
	.dwendtag $C$DW$T$29

	.dwattr $C$DW$T$29, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$T$29, DW_AT_decl_line(0x26)
	.dwattr $C$DW$T$29, DW_AT_decl_column(0x01)
$C$DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("mbdr_dsp_boot_loader_header_t")
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_decl_file("../../../inc/mbdr_dsp_common_boot_loader_app.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x02)
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")

$C$DW$T$23	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$23, DW_AT_language(DW_LANG_C)
$C$DW$16	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$21)
$C$DW$17	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$22)
	.dwendtag $C$DW$T$23

$C$DW$T$24	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$24, DW_AT_address_class(0x20)

$C$DW$T$25	.dwtag  DW_TAG_subroutine_type
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
$C$DW$T$26	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$T$26, DW_AT_address_class(0x20)
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("UCHAR")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("../../../inc/windef.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x1e)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x18)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$33	.dwtag  DW_TAG_typedef, DW_AT_name("SHORT")
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_decl_file("../../../inc/windef.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x24)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x18)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$34	.dwtag  DW_TAG_typedef, DW_AT_name("USHORT")
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_decl_file("../../../inc/windef.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x1b)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x18)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$19	.dwtag  DW_TAG_typedef, DW_AT_name("LONG")
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$19, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$19, DW_AT_decl_file("../../../inc/windef.h")
	.dwattr $C$DW$T$19, DW_AT_decl_line(0x21)
	.dwattr $C$DW$T$19, DW_AT_decl_column(0x18)
$C$DW$T$22	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$22, DW_AT_address_class(0x20)

$C$DW$T$35	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_byte_size(0xd240)
$C$DW$18	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$18, DW_AT_upper_bound(0x348f)
	.dwendtag $C$DW$T$35

$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("ULONG")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$21, DW_AT_decl_file("../../../inc/windef.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x16)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x18)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
$C$DW$T$38	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$38, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$38, DW_AT_name("signed char")
	.dwattr $C$DW$T$38, DW_AT_byte_size(0x01)
$C$DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("CHAR")
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$38)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_decl_file("../../../inc/windef.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x27)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x18)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)

;***************************************************************
;* DWARF CIE ENTRIES                                           *
;***************************************************************

$C$DW$CIE	.dwcie 19
	.dwcfi	cfa_register, 31
	.dwcfi	cfa_offset, 0
	.dwcfi	undefined, 0
	.dwcfi	undefined, 1
	.dwcfi	undefined, 2
	.dwcfi	undefined, 3
	.dwcfi	undefined, 4
	.dwcfi	undefined, 5
	.dwcfi	undefined, 6
	.dwcfi	undefined, 7
	.dwcfi	undefined, 8
	.dwcfi	undefined, 9
	.dwcfi	same_value, 10
	.dwcfi	same_value, 11
	.dwcfi	same_value, 12
	.dwcfi	same_value, 13
	.dwcfi	same_value, 14
	.dwcfi	same_value, 15
	.dwcfi	undefined, 16
	.dwcfi	undefined, 17
	.dwcfi	undefined, 18
	.dwcfi	undefined, 19
	.dwcfi	undefined, 20
	.dwcfi	undefined, 21
	.dwcfi	undefined, 22
	.dwcfi	undefined, 23
	.dwcfi	undefined, 24
	.dwcfi	undefined, 25
	.dwcfi	same_value, 26
	.dwcfi	same_value, 27
	.dwcfi	same_value, 28
	.dwcfi	same_value, 29
	.dwcfi	same_value, 30
	.dwcfi	same_value, 31
	.dwcfi	same_value, 32
	.dwcfi	undefined, 33
	.dwcfi	undefined, 34
	.dwcfi	undefined, 35
	.dwcfi	undefined, 36
	.dwcfi	undefined, 37
	.dwcfi	undefined, 38
	.dwcfi	undefined, 39
	.dwcfi	undefined, 40
	.dwcfi	undefined, 41
	.dwcfi	undefined, 42
	.dwcfi	undefined, 43
	.dwcfi	undefined, 44
	.dwcfi	undefined, 45
	.dwcfi	undefined, 46
	.dwcfi	undefined, 47
	.dwcfi	undefined, 48
	.dwcfi	undefined, 49
	.dwcfi	undefined, 50
	.dwcfi	undefined, 51
	.dwcfi	undefined, 52
	.dwcfi	undefined, 53
	.dwcfi	undefined, 54
	.dwcfi	undefined, 55
	.dwcfi	undefined, 56
	.dwcfi	undefined, 57
	.dwcfi	undefined, 58
	.dwcfi	undefined, 59
	.dwcfi	undefined, 60
	.dwcfi	undefined, 61
	.dwcfi	undefined, 62
	.dwcfi	undefined, 63
	.dwcfi	undefined, 64
	.dwcfi	undefined, 65
	.dwcfi	undefined, 66
	.dwcfi	undefined, 67
	.dwcfi	undefined, 68
	.dwcfi	undefined, 69
	.dwcfi	undefined, 70
	.dwcfi	undefined, 71
	.dwcfi	undefined, 72
	.dwcfi	undefined, 73
	.dwcfi	undefined, 74
	.dwcfi	undefined, 75
	.dwcfi	undefined, 76
	.dwcfi	undefined, 77
	.dwcfi	undefined, 78
	.dwcfi	undefined, 79
	.dwcfi	undefined, 80
	.dwcfi	undefined, 81
	.dwcfi	undefined, 82
	.dwcfi	undefined, 83
	.dwcfi	undefined, 84
	.dwcfi	undefined, 85
	.dwcfi	undefined, 86
	.dwcfi	undefined, 87
	.dwcfi	undefined, 88
	.dwcfi	undefined, 89
	.dwcfi	undefined, 90
	.dwcfi	undefined, 91
	.dwcfi	undefined, 92
	.dwcfi	undefined, 93
	.dwcfi	undefined, 94
	.dwcfi	undefined, 95
	.dwcfi	undefined, 96
	.dwcfi	undefined, 97
	.dwcfi	undefined, 98
	.dwcfi	undefined, 99
	.dwcfi	undefined, 100
	.dwcfi	undefined, 101
	.dwcfi	undefined, 102
	.dwcfi	undefined, 103
	.dwcfi	undefined, 104
	.dwcfi	undefined, 105
	.dwcfi	undefined, 106
	.dwcfi	undefined, 107
	.dwcfi	undefined, 108
	.dwcfi	undefined, 109
	.dwcfi	undefined, 110
	.dwcfi	undefined, 111
	.dwcfi	undefined, 112
	.dwcfi	undefined, 113
	.dwcfi	undefined, 114
	.dwcfi	undefined, 115
	.dwcfi	undefined, 116
	.dwcfi	undefined, 117
	.dwcfi	undefined, 118
	.dwcfi	undefined, 119
	.dwcfi	undefined, 120
	.dwcfi	undefined, 121
	.dwcfi	undefined, 122
	.dwcfi	undefined, 123
	.dwcfi	undefined, 124
	.dwcfi	undefined, 125
	.dwcfi	undefined, 126
	.dwcfi	undefined, 127
	.dwendentry
	.dwendtag $C$DW$CU

